#!/usr/bin/env python

import ROOT

def main():
    fIN = ROOT.TFile.Open("histograms.root")
    histo = fIN.Get("pileup")

    canvas = ROOT.TCanvas("canvas","",500,500)
    canvas.cd()
    histo.SetStats(0)
    histo.SetLineColor(1)
    histo.Scale(1./histo.Integral(),"nosw2")
    histo.SetLineWidth(2)
    histo.GetXaxis().SetTitle("pileup")
    histo.Draw()

    tex1 = ROOT.TLatex(0.4,0.8,"CMS Open data 2012")
    tex1.SetNDC()
    tex1.SetLineWidth(2)
    tex1.Draw()
    tex2 = ROOT.TLatex(0.4,0.7,"DYJetsToLL")
    tex2.SetNDC()
    tex2.SetLineWidth(2)
    tex2.Draw()
   
    canvas.Print("pileup.pdf")
    canvas.Print("pileup.C")
    fIN.Close()

main()
